// packages/@code-like-a-carpenter/foundation-cli/src/config.ts
import { z } from "zod";
import { ConfigSchema as FoundationCloudformationPluginConfigSchema } from "@code-like-a-carpenter/foundation-plugin-cloudformation";
import { ConfigSchema as FoundationTypescriptPluginConfigSchema } from "@code-like-a-carpenter/foundation-plugin-typescript";
var TypescriptPluginConfigSchema = z.any().default({
  enumsAsTypes: true,
  scalars: {
    Date: {
      input: "Date",
      output: "Date"
    },
    JSONObject: {
      input: "Record<string, unknown>",
      output: "Record<string, unknown>"
    }
  },
  strictScalars: true
});
var ConfigSchema = z.object({
  cloudformationTemplate: z.string(),
  schema: z.union([z.string(), z.array(z.string())]),
  typescriptConfig: TypescriptPluginConfigSchema,
  typescriptOutput: z.string()
}).merge(FoundationCloudformationPluginConfigSchema).merge(FoundationTypescriptPluginConfigSchema);
export {
  ConfigSchema,
  TypescriptPluginConfigSchema
};
